Open a noVNC console session
curl --request POST \
--url https://api.cloud.onidel.com/vm/{vm_id}/vnc \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"team_id": "96616865-475e-4191-aba5-f89f0a4b71fe"
}
'import requests
url = "https://api.cloud.onidel.com/vm/{vm_id}/vnc"
payload = { "team_id": "96616865-475e-4191-aba5-f89f0a4b71fe" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({team_id: '96616865-475e-4191-aba5-f89f0a4b71fe'})
};
fetch('https://api.cloud.onidel.com/vm/{vm_id}/vnc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"vnc_url": "https://console.onidel.com/vnc.html?sessionid=48e5f117-9f38-40b6-8fd9-c3ccc8f916c6&vmid=afebf42d-aced-4dd4-877b-c2aa4f887ac3",
"expire_at": 1775193067
}Virtual Machines
Open a noVNC console session
Creates a noVNC console session for the specified VM. Returns a URL to access the VM console via noVNC in a browser. The session token expires after 30 seconds if not used.
POST
/
vm
/
{vm_id}
/
vnc
Open a noVNC console session
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
VM UUID
Body
application/json
Team ID. Default team will be used if not provided.
Example:
"96616865-475e-4191-aba5-f89f0a4b71fe"
Response
VNC session created successfully
URL to access the noVNC console in a browser
Example:
"https://console.onidel.com/vnc.html?sessionid=48e5f117-9f38-40b6-8fd9-c3ccc8f916c6&vmid=afebf42d-aced-4dd4-877b-c2aa4f887ac3"
Unix timestamp when the session token expires (30 seconds after creation)
Example:
1775193067
⌘I